Get an accountant user
curl --request GET \
--url https://api.steuerboard.com/v1/admin/users/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.steuerboard.com/v1/admin/users/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.steuerboard.com/v1/admin/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cmf41ajzv003706un4i99q1b1",
"createdAt": "2024-08-20T12:34:56Z",
"email": "alex@example.com",
"firstName": "Alex",
"lastName": "Müller",
"roles": [
{
"id": "cmf41ajzv003706un4i99q1a0",
"name": "accountant_admin",
"customName": "Head of Accounting"
}
]
}{
"status_code": 401,
"type": "auth_error",
"code": "unauthorized",
"message": "<string>"
}{
"type": "auth_error",
"message": "<string>"
}{
"status_code": 404,
"type": "not_found",
"code": "not_found",
"message": "<string>"
}{
"success": false,
"error": {
"name": "ZodError",
"issues": [
{
"code": "invalid_type",
"path": [
"id"
],
"message": "Required"
}
]
}
}{
"status_code": 429,
"type": "rate_limit",
"code": "too_many_requests",
"message": "<string>"
}This response has no body data.admin.users
Get an accountant user
Returns a single accountant user by ID.
GET
/
admin
/
users
/
{id}
Get an accountant user
This endpoint only works with the Accountant API key. More information here
Authorizations
Bearer token authentication
Path Parameters
The ID of the item
Example:
"cmf41ajzv003706un4i99q19z"
Response
Accountant user
Identifier of the accountant user.
Example:
"cmf41ajzv003706un4i99q1b1"
ISO 8601 timestamp when the accountant user record was created.
Example:
"2024-08-20T12:34:56Z"
Email address of the accountant user.
Example:
"alex@example.com"
First name of the accountant user, if provided.
Example:
"Alex"
Last name of the accountant user, if provided.
Example:
"Müller"
Roles assigned to the accountant user.
Show child attributes
Show child attributes
⌘I